net.sourceforge.jnlp.util

## Class HttpUtils

- java.lang.Object
- - net.sourceforge.jnlp.util.HttpUtils

-     public class HttpUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `consumeAndCloseConnection(java.net.HttpURLConnection c)` Ensure a HttpURLConnection is fully read, required for correct behavior
    `static void` | `consumeAndCloseConnectionSilently(java.net.HttpURLConnection c)` Ensure a HttpURLConnection is fully read, required for correct behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpUtils

          public HttpUtils()

  - ### Method Detail

    - #### consumeAndCloseConnectionSilently

          public static void consumeAndCloseConnectionSilently(java.net.HttpURLConnection c)

      Ensure a HttpURLConnection is fully read, required for correct behavior. Captured IOException is consumed and printed

    - #### consumeAndCloseConnection

          public static void consumeAndCloseConnection(java.net.HttpURLConnection c)
                                                throws java.io.IOException

      Ensure a HttpURLConnection is fully read, required for correct behavior
      Throws:
        `java.io.IOException`

Submit a bug or feature